com.io7m.r2.core

## Interface R2TransformContextType

- All Known Implementing Classes:
    R2TransformContext

      public interface R2TransformContextType

  The storage required for producing transform matrices without allocating extra memory.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jtensors.MatrixM4x4F.ContextMM4F` | `contextMM4F()`
    `com.io7m.jtensors.parameterized.PMatrixM4x4F.ContextPM4F` | `contextPM4F()`
    `com.io7m.jtensors.Matrix4x4FType` | `temporaryMatrix4x4_0()`
    `com.io7m.jtensors.Matrix4x4FType` | `temporaryMatrix4x4_1()`
    `com.io7m.jtensors.Quaternion4FType` | `temporaryQuaternion()`
    `com.io7m.jtensors.Vector3FType` | `temporaryVector3()`

- - ### Method Detail

    - #### temporaryVector3

          com.io7m.jtensors.Vector3FType temporaryVector3()

      Returns:
        Preallocated storage for vectors

    - #### temporaryQuaternion

          com.io7m.jtensors.Quaternion4FType temporaryQuaternion()

      Returns:
        Preallocated storage for quaternions

    - #### contextPM4F

          com.io7m.jtensors.parameterized.PMatrixM4x4F.ContextPM4F contextPM4F()

      Returns:
        Preallocated storage for mutable matrices

    - #### contextMM4F

          com.io7m.jtensors.MatrixM4x4F.ContextMM4F contextMM4F()

      Returns:
        Preallocated storage for mutable matrices

    - #### temporaryMatrix4x4_0

          com.io7m.jtensors.Matrix4x4FType temporaryMatrix4x4_0()

      Returns:
        A reference to a temporary 4x4 matrix. Note that this matrix is not recreated on every call, and the returned matrix is shared between all callers of this function.

    - #### temporaryMatrix4x4_1

          com.io7m.jtensors.Matrix4x4FType temporaryMatrix4x4_1()

      Returns:
        A reference to a temporary 4x4 matrix. Note that this matrix is not recreated on every call, and the returned matrix is shared between all callers of this function.

Copyright © 2017 <code@io7m.com> http://io7m.com